Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000693Core InformAssertions and creationspublic2011-07-08 05:502014-05-07 07:33
ReporterBiep 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
PlatformPackard Bell NotebookOSWindowsOS VersionXP SP3
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000693: "Something" as a room name causes weird behaviour.
DescriptionGiven a room called "Something", objects 'in Something' are created outside the game, whereas objects created 'in the room called Something' cause errors.
Minimal Source Text To Reproduce
"Debugging"

A room called Something is a room.  "Something exists - it is not true that there is nothing.  If 
there were nothing, this thought wouldn't exist either, and it does - does it?"

The bottle is a thing in [the room called] Something.
Additional Information-- Case 1 (with the text commented)

>showme bottle
bottle - thing
location: out of play
singular-named, improper-named; unlit, inedible, portable
printed name: "bottle"
printed plural name: none
indefinite article: none
description: none
initial appearance: none

-- Case 2 (with the text uncommented)

Problem. You wrote 'The bottle is a thing in the room called Something' , but that seems to contradict 'A room called Something is a room' , as a thing and a room are incompatible. (If a thing were a kind of a room or vice versa there'd be no problem, but they aren't.)

 See the manual: 3.5 > Kinds
--------------------------------------------------------------------------------
Problem. You wrote 'The bottle is a thing in the room called Something' , but that seems to contradict 'A room called Something is a room' , as a thing and a room are incompatible. (If a thing were a kind of a room or vice versa there'd be no problem, but they aren't.)
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0001215)
Biep (reporter)
2011-07-08 06:01

Without explicit kinds the behaviour is better:

-- Case 3: There is a bottle in Something.

>showme bottle
bottle - thing
location: in the container out of play
singular-named, improper-named; unlit, inedible, portable
printed name: "bottle"
printed plural name: none
indefinite article: none
description: none
initial appearance: none

-- Case 4: "There is a bottle in the room called Something."
This seems to work.
(0002654)
graham (administrator)
2014-05-04 04:43

Inform now spots that Something with an unexpected capital "S" is unlikely to be a determiner.

- Issue History
Date Modified Username Field Change
2011-07-08 05:50 Biep New Issue
2011-07-08 06:01 Biep Note Added: 0001215
2011-07-26 00:01 jmcgrew Status new => acknowledged
2011-07-26 09:02 EmacsUser Status acknowledged => confirmed
2014-05-04 04:43 graham Note Added: 0002654
2014-05-04 04:43 graham Status confirmed => resolved
2014-05-04 04:43 graham Resolution open => fixed
2014-05-04 04:43 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker